<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="firewall" id="top-pkt-by-dst" charttype="bars">

 <lire:title>Top Packets by Destination IP Report</lire:title>
 <lire:description>
  <para>
   This report lists the IP addresses that were listed as destination
   in the most packets.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="ips_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of destination IP adresses to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Packets by Destination IP, Top $ips_to_show</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-pkt_count" limit="$ips_to_show">
   <lire:field name="to_ip"/>

   <lire:sum name="pkt_count" field="count" label="Packets"/>
   <lire:sum name="pkt_count_ratio" field="count" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

